## pygresql 5.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build3.5
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyGreSQL.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyGreSQL.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyGreSQL"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyGreSQL"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pygresql (1:5.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #844580)
      - whishlist bug.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 19 Dec 2016 09:24:05 -0200

pygresql (1:5.0.2-2) unstable; urgency=medium

  * QA upload.
  * debian/copyright:
      - Fix BSD-1-clause license text. 

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 28 Nov 2016 11:17:28 -0200

pygresql (1:5.0.2-1) unstable; urgency=medium

  * QA upload.
  * DH Level: 10
  * New upstream release.
  * debian/control:
      - Bump Standards-Version from 3.9.1 to 3.9.8.
      - Add Homepage.
      - Build-Depends:
          - add:
              - dh-python
              - python-all
              - python-setuptools
              - python3 support
              - python-docutils
              - python-sphinx
          - remove python-all-dbg
      - Remove Build-Conflicts.
      - Remove XS-Python-Version.
      - Add X-Python-Version.
      - Add X-Python3-Version.
      - Add Vcs* entries.
      - Remove python-egenix-mxdatetime from Depends.
      - Remove 'Package: python-pygresql-dbg'. Debhelper take care of that.
      - Add 'Package: python3-pygresql'
      - Add 'Package: python-pygresql-doc'. Just '.txt' files.
  * debian/copyright:
      - format 1.0
      - complete re-write.
  * debian/python-pygresql-doc.install:
      - created.
  * debian/rules:
      - Complete re-write. Pybuild system.
      - Add hardening.
  * debian/source/format:
      - 3.0 (quilt)
  * debian/watch:
      - version 4.
      - new url.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 22 Nov 2016 10:30:46 -0200

pygresql (1:4.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add B-D on postgresql-server-dev-all.
  * Add includedir-server to includes.
    Closes: #741806

 -- Evgeni Golov <evgeni.golov@credativ.de>  Fri, 25 Apr 2014 15:15:25 +0200

pygresql (1:4.0-3) unstable; urgency=low

  * Orphan the package.
  * Build using dh_python2. Closes: #616968.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Apr 2011 10:56:38 +0200

pygresql (1:4.0-2) unstable; urgency=low

  * python-pygresql: Provide python-pg, no need to rename the package.
    Closes: #556415.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2010 13:53:30 +0100

pygresql (1:4.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Aug 2009 10:12:35 +0200

pygresql (1:3.8.1-3) unstable; urgency=low

  * Rebuild to move files to /usr/share/pyshared.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jun 2008 19:40:43 +0200

pygresql (1:3.8.1-2) unstable; urgency=low

  * Fix package dependency on libpq. Closes: #430836.
  * Merge from Ubuntu: Build a python-pygresql-dbg package.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Aug 2007 02:07:53 +0200

pygresql (1:3.8.1-1) unstable; urgency=low

  * New upstream version.
  * Convert to updated Python policy. Closes: #373494.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 21:43:33 +0200

pygresql (1:3.8-1.1) unstable; urgency=high

  * NMU with the maintainer's permission.
  * Urgency high since this only fixes an important bug with a trivial patch.
  * pg.py, _quote(): Escape quotes in strings as '', not as \', since the
    latter does not work any more with some client encodings with the latest
    PostgreSQL (in some multi-byte encodings you can exploit \' escaping to
    inject SQL code, see CVE-2006-2314). Closes: #369239

 -- Martin Pitt <mpitt@debian.org>  Sun, 28 May 2006 17:23:29 +0200

pygresql (1:3.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun,  5 Mar 2006 10:41:48 +0000

pygresql (1:3.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Sep 2005 06:56:26 +0200

pygresql (1:3.6.2-1) unstable; urgency=low

  * New upstream version (bug fix release).
  * Drop python2.2 package.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Jul 2005 10:41:38 +0200

pygresql (1:3.6.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2005 10:33:28 +0100

pygresql (1:3.5-4) unstable; urgency=low

  * Build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Dec 2004 18:08:35 +0100

pygresql (1:3.5-3) unstable; urgency=medium

  * Fix typo (closes: #276775).

 -- Matthias Klose <doko@debian.org>  Sat, 16 Oct 2004 13:49:03 +0200

pygresql (1:3.5-2) unstable; urgency=medium

  * Fix error using time types (Chad Miller). Closes: #212271.

 -- Matthias Klose <doko@debian.org>  Fri,  8 Oct 2004 22:24:46 +0200

pygresql (1:3.5-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed,  1 Sep 2004 18:57:04 +0200

pygresql (1:3.4-4) unstable; urgency=low

  * Add build dependency on python (neeeded for debhelper's dh_python).

 -- Matthias Klose <doko@debian.org>  Thu,  1 Jul 2004 20:34:38 +0200

pygresql (1:3.4-3) unstable; urgency=low

  * Fix download URL (closes: #244242).

 -- Matthias Klose <doko@debian.org>  Tue, 20 Apr 2004 23:56:44 +0200

pygresql (1:3.4-2) unstable; urgency=low

  * Add upstream README.txt (closes: #244245).
  * Remove README.Debian (closes: #244244).
  * Fix download location (closes: #244242).

 -- Matthias Klose <doko@debian.org>  Mon, 19 Apr 2004 07:50:11 +0200

pygresql (1:3.4-1) unstable; urgency=low

  * New upstream version.
  * Build-Depend on versioned libpq-dev to get the correct shlibs dependency.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Feb 2004 19:10:09 +0100

pygresql (1:3.2.90-3) unstable; urgency=low

  * Fix installation directory.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Jan 2004 22:37:02 +0100

pygresql (1:3.2.90-2) unstable; urgency=low

  * Add dependencies on the python-egenix-mxdatetime module.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Jan 2004 20:18:59 +0100

pygresql (1:3.2.90-1) unstable; urgency=low

  * Initial Release, taken from CVS.


=== debian/control ===
Source: pygresql
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               libpq-dev,
               libssl-dev,
               postgresql-server-dev-all,
               python-all,
               python-all-dev (>= 2.6.6-14),
               python-docutils,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-all-dev,
               python3-setuptools
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: http://www.pygresql.org/index.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pygresql.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pygresql.git

Package: python-pygresql
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: python2.3-pygresql, python2.4-pygresql
Replaces: python2.3-pygresql, python2.4-pygresql
Provides: python-pg, ${python:Provides}
Suggests: python-pygresql-doc
Description: PostgreSQL module for Python
 PyGreSQL is a Python module that interfaces to a PostgreSQL database. It
 embeds the PostgreSQL query library to allow easy use of the powerful
 PostgreSQL features from a Python script.
 .
 This package install the library for Python 2.

Package: python3-pygresql
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-pg, ${python3:Provides}
Suggests: python-pygresql-doc
Description: PostgreSQL module for Python3
 PyGreSQL is a Python module that interfaces to a PostgreSQL database. It
 embeds the PostgreSQL query library to allow easy use of the powerful
 PostgreSQL features from a Python script.
 .
 This package installs the library for Python 3.

Package: python-pygresql-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Python Pygresql (common documentation)
 PyGreSQL is a Python module that interfaces to a PostgreSQL database. It
 embeds the PostgreSQL query library to allow easy use of the powerful
 PostgreSQL features from a Python script.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = pygresql

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs docs/_build/html/_sources/contents/changelog.txt

## pygresql 5.0.4

=== debian/changelog ===
pygresql (1:5.0.4-1) unstable; urgency=medium

  * QA upload
  * New upstream version 5.0.4
  * debian/control:
      - Build-Depends: python3-sphinx only
      - Bump Standards-Version from 3.9.8 to 4.1.2
  * debian/copyright:
      - Update
  * debian/gbp.conf:
      - Created
  * debian/rules:
      - Fix patch to upstream changelog file
  * debian/source/options:
      - Create to ignore egg-info dir

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 02 Dec 2017 10:25:44 -0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                python-all-dev (>= 2.6.6-14),
                python-docutils,
                python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-all-dev,
                python3-setuptools
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.pygresql.org/index.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pygresql.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pygresql.git

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 override_dh_auto_test:
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/_build/html/_sources/contents/changelog.txt	
+	dh_installchangelogs docs/_build/html/_sources/contents/changelog.rst.txt

=== debian/watch ===
version=4
http://www.pygresql.org/files/PyGreSQL-(\d\S+)\.(?:tar\.gz|tgz|zip)

## pygresql 5.0.6

=== debian/changelog ===
pygresql (1:5.0.6-2) unstable; urgency=medium

  * QA upload.

  [ Michael Hudson-Doyle ]
  * Fix autopkgtest to not hard code Python 3.6.  Closes: #916874

  [ Mattia Rizzolo ]
  * Mark the autopkgtest as superficial.
  * Mark python-pygresql-doc as Multi-Arch:foreign.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 20 Dec 2018 12:49:25 +0100

pygresql (1:5.0.6-1) unstable; urgency=medium

  * QA upload
  * New upstream version 5.0.6
  * debian/tests/control:
      - Add file
  * debian/watch:
      - Secure uri

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 18 Aug 2018 13:14:15 -0300

pygresql (1:5.0.5-1) unstable; urgency=medium

  * QA upload
  * New upstream version 5.0.5
  * DH_LEVEL: 11
  * debian/control:
      - X-Python*-Version commented
      - Bump Standards-Version from 4.1.2 to 4.1.4
      - Vcs-* at salsa.debian.org
  * debian/copyright:
      - Update file

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 27 May 2018 14:24:36 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libpq-dev,
                libssl-dev,
@@ -15,12 +15,12 @@
                python3-all,
                python3-all-dev,
                python3-setuptools
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Standards-Version: 4.1.2
+# X-Python-Version: >= 2.6
+# X-Python3-Version: >= 3.3
+Standards-Version: 4.1.4
 Homepage: http://www.pygresql.org/index.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pygresql.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pygresql.git
+Vcs-Git: https://salsa.debian.org/debian/pygresql.git
+Vcs-Browser: https://salsa.debian.org/debian/pygresql
 
 Package: python-pygresql
 Architecture: any
@@ -50,6 +50,7 @@
 
 Package: python-pygresql-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Python Pygresql (common documentation)

=== debian/watch ===
version=4
https://www.pygresql.org/files/PyGreSQL-(\d\S+)\.(?:tar\.gz|tgz|zip)

## pygresql 5.1

=== debian/changelog ===
pygresql (1:5.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:53 +0100

pygresql (1:5.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 5.1
  * Update d/watch, now points to PyPi
  * Update Standards-Version to 4.5.0
  * Add d/source/lintian-overrides
  * Update d/copyright, remove files entries that is removed upstream.
  * Change doc package from *.rst.txt to *.html files
    - Add sphinxdoc:Depends for doc package in d/control
    - Add d/python-pygresql-doc.doc-base
  * Remove unneeded build-dependencies
  * Add Rules-Requires-Root: no
  * Add salsa CI

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 01 Feb 2020 20:12:35 +0100

pygresql (1:5.0.6-3) unstable; urgency=medium

  * Drop Python 2 package (Closes: #937451)
  * Bump debhelper from 11 to 12 and switch to debhelper-compat

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 Nov 2019 22:40:10 +0100

=== debian/control ===
Source: pygresql
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libpq-dev,
               libssl-dev,
               postgresql-server-dev-all,
               python3-sphinx,
               python3-all-dev,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pygresql.org/index.html
Vcs-Git: https://salsa.debian.org/debian/pygresql.git
Vcs-Browser: https://salsa.debian.org/debian/pygresql

Package: python3-pygresql
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-pg, ${python3:Provides}
Suggests: python-pygresql-doc
Description: PostgreSQL module for Python3
 PyGreSQL is a Python module that interfaces to a PostgreSQL database. It
 embeds the PostgreSQL query library to allow easy use of the powerful
 PostgreSQL features from a Python script.
 .
 This package installs the library for Python 3.

Package: python-pygresql-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-jquery,
Description: Python Pygresql (common documentation)
 PyGreSQL is a Python module that interfaces to a PostgreSQL database. It
 embeds the PostgreSQL query library to allow easy use of the powerful
 PostgreSQL features from a Python script.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = pygresql

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(CURDIR)/docs html
	$(RM) docs/_build/html/_static/jquery*.js
	ln -s /usr/share/javascript/jquery/jquery.js docs/_build/html/_static/

## pygresql 5.1.2

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build3.5
+SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
pygresql (1:5.1.2-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:44:54 +0100

pygresql (1:5.1.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 5.1.2

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 22 Apr 2020 20:03:16 +0200

pygresql (1:5.1.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 5.1.1
  * d/copyright
    - Update copyright year
    - Change source, development is now on GitHub
    - Removed obsolete entries, upstream cleaned up the docs folder
  * Use secure URI on homepage
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse, Bug-Submit
  * Remove obsolete lintian-overrides
  * Remove deletion and substitution of jquery.js from d/rules

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 10 Mar 2020 17:51:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpq-dev,
                libssl-dev,
@@ -10,9 +10,9 @@
                python3-sphinx,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: http://www.pygresql.org/index.html
+Homepage: https://www.pygresql.org/index.html
 Vcs-Git: https://salsa.debian.org/debian/pygresql.git
 Vcs-Browser: https://salsa.debian.org/debian/pygresql

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = pygresql

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(CURDIR)/docs html

=== debian/tests/control ===
Test-Command: test -e .pybuild/cpython3_$(py3versions -vd)_pygresql/build/*.so
Depends: @builddeps@
Restrictions: build-needed, superficial

## pygresql 6.0

=== debian/changelog ===
pygresql (1:6.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 15:28:23 +0000

pygresql (1:6.0-1) unstable; urgency=medium

  [ Dale Richards ]
  * New upstream version 6.0
  * New maintainer. (Closes: #623685)
  * d/control: Add pyproject dependency.
  * Update d/copyright for new version and maintainer.
  * Run upstream tests with autopkgtest.
  * Bump standards version to 4.6.2, no changes needed.
  * Use GitHub source in d/watch (the tarballs on PyPI appear to
    be missing key documentation files.)
  * Add d/clean to remove built docs. (Closes: #1047505)
  * Add patch to disable tests that require disabling SSL, since
    SSL is enforced in Debian's default PostgreSQL install.
  * Respect .gitattributes file to ensure checked out source tree
    matches the line ending formats used in the source tarballs
    when using git-buildpackage or Salsa CI (see README.Debian).
  * d/salsa-ci.yml: Disable arm64 crossbuild due to incompatible
    dependencies.

  [ Jeroen Ploemen ]
  * d/watch: correct extension for upstream tarballs.
  * d/rules: move docs build to execute_after_dh_auto_build.

 -- Dale Richards <dale@dalerichards.net>  Thu, 04 Jan 2024 16:58:30 +0000

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-pygresql,
 postgresql,
Restrictions: allow-stderr isolation-container needs-sudo

## pygresql 6.0.1

=== debian/changelog ===
pygresql (1:6.0.1-2) unstable; urgency=medium

  * Team upload.
  * Disable server version checks. All other tests work, so there's no point
    in insisting that the PG version is less than 17 or any other constant.
    (Closes: #1080959)

 -- Christoph Berg <myon@debian.org>  Fri, 06 Sep 2024 11:45:22 +0000

pygresql (1:6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 May 2024 22:35:34 +0100

## pygresql 6.1.0

=== debian/changelog ===
pygresql (1:6.1.0-2build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:40:22 +0000

pygresql (1:6.1.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:59:26 +0000

pygresql (1:6.1.0-2) unstable; urgency=medium

  * Team upload.
  * Run regression tests in pg_virtualenv so we don't need root;
    test against all supported PostgreSQL versions.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Feb 2025 11:23:12 +0100

pygresql (1:6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add autopkgtest dependency on tzdata-legacy.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 00:11:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,5 @@
 
 override_dh_auto_test:
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	$(MAKE) -C $(CURDIR)/docs html

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-pygresql,
 postgresql-all,
 tzdata-legacy,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/PyGreSQL/PyGreSQL/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
